import 'packages/theme-default/src/index.css';
import uppercamelcase from 'uppercamelcase';

const requireAll = requireContext => {
  return requireContext.keys().map(requireContext);
};
const modules = requireAll(require.context(
  'packages',
  true,
  /^((?!node_modules|lib|datepicker).)*[^_]index\.js$/));

const components = {};

modules.forEach(item => {
  const name = uppercamelcase(item.name.replace(/^el-|El/, ''));
  components[name] = item;
});

Object.assign(components, require('packages/datepicker/index.js'));

module.exports = Object.assign({}, {
  install(Vue) {
    Object.keys(components).forEach(key => {
      const item = components[key];
      Vue.component(item.name, item);
    });
  }
}, components);
